org.apache.cassandra.schema

## Class Views

- java.lang.Object
- - org.apache.cassandra.schema.Views

All Implemented Interfaces:
  java.lang.Iterable<ViewDefinition>

    public final class Views
    extends java.lang.Object
    implements java.lang.Iterable<ViewDefinition>

### Nested Class Summary

Nested Classes
`static class` `Views.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Views.Builder` `builder()`
`boolean` `equals(java.lang.Object o)`
`java.util.Optional<ViewDefinition>` `get(java.lang.String name)` Get the materialized view with the specified name
`ViewDefinition` `getNullable(java.lang.String name)` Get the view with the specified name
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Iterator<ViewDefinition>` `iterator()`
`java.lang.Iterable<CFMetaData>` `metadatas()`
`static Views` `none()`
`Views` `replace(ViewDefinition view, CFMetaData cfm)` Creates a MaterializedViews instance which contains an updated materialized view
`int` `size()`
`java.lang.String` `toString()`
`Views` `with(ViewDefinition view)` Create a MaterializedViews instance with the provided materialized view added
`Views` `without(java.lang.String name)` Creates a MaterializedViews instance with the materializedView with the provided name removed

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### builder

    public static Views.Builder builder()

#### none

    public static Views none()

#### iterator

    public java.util.Iterator<ViewDefinition> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<ViewDefinition>`

#### metadatas

    public java.lang.Iterable<CFMetaData> metadatas()

#### size

    public int size()

#### isEmpty

    public boolean isEmpty()

#### get

    public java.util.Optional<ViewDefinition> get(java.lang.String name)

Get the materialized view with the specified name

Parameters:
  `name` - a non-qualified materialized view name
Returns:
  an empty `Optional` if the materialized view name is not found; a non-empty optional of `ViewDefinition` otherwise

#### getNullable

    @Nullable
    public ViewDefinition getNullable(java.lang.String name)

Get the view with the specified name

Parameters:
  `name` - a non-qualified view name
Returns:
  null if the view name is not found; the found `ViewDefinition` otherwise

#### with

    public Views with(ViewDefinition view)

Create a MaterializedViews instance with the provided materialized view added

#### without

    public Views without(java.lang.String name)

Creates a MaterializedViews instance with the materializedView with the provided name removed

#### replace

    public Views replace(ViewDefinition view,
                         CFMetaData cfm)

Creates a MaterializedViews instance which contains an updated materialized view

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`